Subject: Re: [PATCH net v2] ipv6: addrconf: reduce default temp_valid_lft to 2 days

From: Jakub Kicinski <[email-masked]>
Date: Fri, 20 Feb 2026 12:28:04 -0800

On Fri, 20 Feb 2026 16:39:27 +0100 Fernando Fernandez Mancera wrote:
> > Here is the summary with links:
> >    - [net,v2] ipv6: addrconf: reduce default temp_valid_lft to 2 days
> >      https://git.kernel.org/netdev/net/c/9e371b0ba7f5
> >   
> 
> FTR; the patch was merged without the fixes tag. I think it would be 
> good to backport this to stable kernels because otherwise the 
> documentation and the real configured value are contradicting each other.

Yes, because it's a functional change. We can take it in for 7.0 
but IMO the justification is too weak to treat it as a stable fix.
Imagine this from the perspective of someone who was promised 
a _stable_ long term support kernel. If this change breaks their
expectations - what will be our defense? "But we said in the doc 
(that nobody reads) that it was supposed to be 2 days"? Dunno.
Deciding backports is quite tricky, borderline impossible.
I took the executive decision to take the patch ASAP but not to stable.

Of course the stable auto-selection process may suck this patch in,
anyway. But I won't be culpable :)